Tcl

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions
ns::oo_class Class Reference

Documented oo class `oo_class` . More...

List of all members.

## Public Member Functions
| constructor args
| Create object.
| destructor
| Destroy object.
| oo_method_z arg
| Documented oo method `oo_method_z` .

## Static Public Attributes
| oo_var
| Documented oo var `oo_var` .
| oo_var_out
| Outside defined variable `oo_var_out` .

## Protected Member Functions
| oo_method_y arg
| Documented oo method `oo_method_y` .

## Detailed Description

Documented oo class `oo_class` .

## Constructor & Destructor Documentation

ns::oo_class::constructor | args

Create object.

Configure with args

constructor {args} {eval $args}

ns::oo_class::destructor |

Destroy object.

Exit.

destructor {exit}

## Member Function Documentation

ns::oo_class::oo_method_y | arg

protected

Documented oo method `oo_method_y` .

param[in] arg Argument

method oo_method_y {arg} {}

ns::oo_class::oo_method_z | arg

Documented oo method `oo_method_z` .

param[in] arg Argument

method oo_method_z {arg} {}

## Member Data Documentation

ns::oo_class::oo_var
| static

Documented oo var `oo_var` .

Defined inside class

variable oo_var

ns::oo_class::oo_var_out
| static

Outside defined variable `oo_var_out` .

Inside oo_class

variable oo_var_out

The documentation for this class was generated from the following file:

- tclexample.tcl